Skip to main content
GET
[Tasks] Get instance task (nested)

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Instance Task.

instance_id
string<uuid>
required
organization_id
string<uuid>
required
project_id
string<uuid>
required

Response

200 - application/json
id
string<uuid>
required
read-only
instance_id
string<uuid>
required
read-only
instance
object
required
task_type
enum<string>
required
  • create_vps - Create Instance
  • start_vps - Start Instance
  • stop_vps - Stop Instance
  • reboot_vps - Reboot Instance
  • shutdown_vps - Shutdown Instance
  • reset_vps - Reset Instance
  • resize_vps - Resize Instance
  • change_hostname - Change Hostname
  • reinstall_os - Reinstall OS
  • assign_ip - Assign IP
  • remove_ip - Remove IP
  • update_reverse_dns - Update Reverse DNS
  • update_vpc - Update VPC
  • apply_firewall - Apply Firewall Rules
  • create_snapshot - Create Snapshot
  • delete_snapshot - Delete Snapshot
  • restore_snapshot - Restore Snapshot
  • create_backup - Create Backup
  • delete_backup - Delete Backup
  • restore_backup - Restore Backup
  • create_image_from_snapshot - Create Image from Snapshot
  • delete_image - Delete Image
  • create_volume - Create Volume
  • attach_volume - Attach Volume
  • detach_volume - Detach Volume
  • resize_volume - Resize Volume
  • delete_volume - Delete Volume
  • attach_gpu - Attach GPU
  • detach_gpu - Detach GPU
  • install_software - Install Software
  • uninstall_software - Uninstall Software
  • get_vnc_url - Get console access
  • sync_vps_state - Sync Instance State
  • apply_config - Apply Proxmox Configuration
Available options:
create_vps,
start_vps,
stop_vps,
reboot_vps,
shutdown_vps,
reset_vps,
resize_vps,
change_hostname,
reinstall_os,
assign_ip,
remove_ip,
update_reverse_dns,
update_vpc,
apply_firewall,
create_snapshot,
delete_snapshot,
restore_snapshot,
create_backup,
delete_backup,
restore_backup,
create_image_from_snapshot,
delete_image,
create_volume,
attach_volume,
detach_volume,
resize_volume,
delete_volume,
attach_gpu,
detach_gpu,
install_software,
uninstall_software,
get_vnc_url,
sync_vps_state,
apply_config
status
enum<string>
required
read-only
  • pending - Pending
  • running - Running
  • completed - Completed
  • failed - Failed
  • cancelled - Cancelled
Available options:
pending,
running,
completed,
failed,
cancelled
result
any
required
read-only

Résultat de l'exécution

progress
integer
required
read-only
started_at
string<date-time> | null
required
read-only
completed_at
string<date-time> | null
required
read-only
retry_count
integer
required
read-only
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
created_by
object
required
parameters
any

Paramètres spécifiques à la tâche

max_retries
integer<int64>
Required range: 0 <= x <= 4294967295